# ScalaPluginExtension

interface ScalaPluginExtension

Common configuration for Scala based projects. This is added by the ScalaBasePlugin.

#### Since

6.0

## Functions

getScalaVersion
Link copied to clipboard
@Incubating
abstract fun getScalaVersion(): Property<String>
The version of the Scala to use for compiling Scala code.
getZincVersion
Link copied to clipboard
abstract fun getZincVersion(): Property<String>
The version of the Zinc compiler to use for compiling Scala code.